<!DOCTYPE html>
<html lang="en">
	<!--
	This page demonstrates a form.
	-->
	<head>
		<meta charset="utf-8"/>
		<title>Demonstrating HTML forms</title>
    <link href="css/form.css" type="text/css" rel="stylesheet" />
	</head>
	
	<body>
		<h1>Turnitin</h1>
		<form  lang="fi" action="">
			<fieldset>
				<legend>Student information: </legend>
			<div>
				<label>Name: <input type="text" name="studentname" pattern="\w+\s{1}\w+" title="FirstName LastName" placeholder="Matti Meikäläinen" required /></label>
			</div>
			<div>
				<label>Student id: <input type="text" name="id" pattern="[1-9]{1}\d{5}" placeholder="123456" title="Six numbers, 1st number is not 0." required /></label>
			</div>
			<div>
				<label>Email: <input type="text" name="email" pattern="^\S+@\S+[\.][0-9a-z]+$" placeholder="mmeikalainen@oppilaitos.fi" title="something@something.something" required /></label>
				<!--
				Make an input named "email"
				-->
			</div>
			</fieldset>
			<fieldset>
				<legend>Additional information: </legend>
			<div>
				<label>Assignment: <input type="text" name="assignment" placeholder="Student's assignment" title="Any text." required /></label>
				<!--
				Make an input named "assignment"
				-->
				
			</div>

			<div>
				<label>Code: <input type="textarea" name="code" placeholder="Student's code" title="Any text." required /></label>
				<!--
				Make an input named "code" which is a text area to put student's code into.
				-->
				
			</div>
			<div>
				<label>Cheat: <input type="checkbox" name="cheat" title="Must be selected." required /></label>
			<!--
				Make an input named "cheat" which is a check box the student must check.
			-->
			</div>
			<div>
				<label>Score:</label>
				<input type="text" name="score" pattern="[0-5]{1}" max="1" title="Number 0-5." required />
<!--				<select name="score" required> 
					<option value="">Not selected</option>
					<option value="score0">0</option> 
					<option value="score1">1</option> 
					<option value="score2">2</option> 
					<option value="score3">3</option> 
					<option value="score4">4</option> 
					<option value="score5">5</option> 
				</select>
-->			<!--
				Make an input named "score" which is a list of choices for the score 
			-->
			</div>
			</fieldset>
			<fieldset>
				<legend>Pay:</legend>
			<div>
				<label><input type="radio" name="pay" value="visa" /> Visa </label><br />
				<label><input type="radio" name="pay" value="paypal" /> PayPal </label><br />
				<label><input type="radio" name="pay" value="mastercard" /> MasterCard </label><br />
			<!--
				Make an input named "payment" which is a radio box with possible values of visa, paypal, mastercard
			-->
			</div>
			</fieldset>
			<input type="submit" name="submit" />
		</form>
		<a href="http://jigsaw.w3.org/css-validator/check/referer">Validate</a>
	</body>
</html>
